## 0xffff 0.6~git20130406

=== src/Makefile ===
include ../config.mk

PREFIX ?= /usr/local
INSTALL ?= install

CPPFLAGS += -DVERSION=\"$(VERSION)\" -D_GNU_SOURCE
CFLAGS += -W -Wall -O2 -pedantic -std=c99
LIBS += -lm -lusb

OBJS = main.o nolo.o printf-utils.o image.o fiasco.o device.o usb-device.o cold-flash.o operations.o local.o mkii.o disk.o cal.o
BIN = 0xFFFF

all: $(BIN)

$(BIN): $(OBJS) Makefile ../config.mk
	$(CC) $(CFLAGS) $(LDFLAGS) -o $(BIN) $(OBJS) $(LIBS)

%.o: %.c Makefile ../config.mk
	$(CC) $(CFLAGS) $(CPPFLAGS) -c -o $@ $<

install: $(BIN)
	$(INSTALL) -D -m 755 $(BIN) $(DESTDIR)$(PREFIX)/bin/$(BIN)

uninstall:
	$(RM) $(DESTDIR)$(PREFIX)/bin/$(BIN)

clean:
	-$(RM) $(OBJS) $(BIN)

=== debian/changelog ===
0xffff (0.6~git20130406-1) unstable; urgency=low

  * Initial release. (Closes: #514244)

 -- Sebastian Reichel <sre@debian.org>  Sat, 06 Apr 2013 17:21:36 +0200

=== debian/control ===
Source: 0xffff
Section: misc
Priority: extra
Maintainer: Sebastian Reichel <sre@debian.org>
Standards-Version: 3.9.4
Build-Depends: debhelper (>= 9),
               libusb-dev
Homepage: http://gitorious.org/0xffff/
Vcs-Git: git://git.debian.org/git/pkg-n900/0xffff.git
Vcs-Browser: http://git.debian.org/?p=pkg-n900/0xffff.git;a=summary

Package: 0xffff
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Open Free Fiasco Firmware Flasher
 The ‘Open Free Fiasco Firmware Flasher’ aka 0xFFFF utility implements
 a free userspace handler for the NOLO bootloader and extended features
 for flashing, dumping and getting information for the Nokia Internet
 Tablets. Thus it's a free alternative to Nokia's closed source flashing
 utility called flasher.
 .
 Currently supported are the Nokia 770, N800, N810, N810w and the N900.

## 0xffff 0.6

=== debian/changelog ===
0xffff (0.6-1) unstable; urgency=low

  * New upstream release
  * Fix vcs-field-not-canonical
  * Remove debian/0xffff.1 (manpage now provided by upstream)
  * Add debian/completions/_0xFFFF (zsh auto-completion)
  * Update Debian Standards Version to 3.9.5
  * Fix possible-unindented-list-in-extended-description

 -- Sebastian Reichel <sre@debian.org>  Mon, 12 May 2014 19:01:41 +0200

## 0xffff 0.6-1

=== src/Makefile ===
include ../config.mk

PREFIX ?= /usr/local
INSTALL ?= install

CC = gcc
CROSS_CC = $(CROSS_COMPILE)$(CC)
HOST_CC = $(HOST_COMPILE)$(CC)

CPPFLAGS += -DVERSION=\"$(VERSION)\" -D_GNU_SOURCE
CFLAGS += -W -Wall -O2 -pedantic -std=c99
LIBS += -lusb

DEPENDS = Makefile ../config.mk

OBJS = main.o nolo.o printf-utils.o image.o fiasco.o device.o usb-device.o cold-flash.o operations.o local.o mkii.o disk.o cal.o
BIN = 0xFFFF
MANGEN = mangen

all: $(BIN) $(BIN).1

$(BIN): $(OBJS) $(DEPENDS)
	$(CROSS_CC) $(CFLAGS) $(LDFLAGS) -o $(BIN) $(OBJS) $(LIBS)

$(MANGEN): $(MANGEN).c $(DEPENDS)
	$(HOST_CC) $(CFLAGS) $(CPPFLAGS) $(LDFLAGS) -o $@ $<

$(BIN).1: $(BIN) $(MANGEN) $(DEPENDS) ../doc/examples
	./$(MANGEN) > $@.tmp
	(printf '.SH EXAMPLES\n.\n.PP\n.B\n'; cat ../doc/examples) | sed 's/^$$/.fi\n.\n.PP\n.B/' | sed '/^\.PP$$/N;/\.B/N;/\.fi/N;s/^\.PP\n\.B\n\.fi\n//' | sed '/^\.B/N;s/\n/ /;/^\.B/s/$$/\n.nf/' | sed '/^\.nf/N;/^\.fi/N;s/^\.nf\n.fi/./' >> $@.tmp
	mv $@.tmp $@

libusb-sniff-32.so: libusb-sniff.c $(DEPENDS)
	$(CC) $(CFLAGS) $(LDFLAGS) -fPIC -ldl -shared -m32 -o $@ $<

libusb-sniff-64.so: libusb-sniff.c $(DEPENDS)
	$(CC) $(CFLAGS) $(LDFLAGS) -fPIC -ldl -shared -m64 -o $@ $<

%.o: %.c $(DEPENDS)
	$(CROSS_CC) $(CFLAGS) $(CPPFLAGS) -c -o $@ $<

install: $(BIN) $(BIN).1
	$(INSTALL) -D -m 755 $(BIN) $(DESTDIR)$(PREFIX)/bin/$(BIN)
	$(INSTALL) -D -m 644 $(BIN).1 $(DESTDIR)$(PREFIX)/share/man/man1/$(BIN).1

uninstall:
	$(RM) $(DESTDIR)$(PREFIX)/bin/$(BIN)
	$(RM) $(DESTDIR)$(PREFIX)/share/man/man1/$(BIN).1

clean:
	-$(RM) $(OBJS) $(BIN) $(MANGEN) $(BIN).1 $(BIN).1.tmp libusb-sniff-32.so libusb-sniff-64.so

=== debian/control ===
Source: 0xffff
Section: user/system
Priority: extra
Maintainer: Pali Rohár <pali.rohar@gmail.com>
Build-Depends: debhelper (>= 7), libusb-dev
Standards-Version: 3.9.3

Package: 0xffff
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, mtd-utils
Description: Open Free Fiasco Firmware Flasher
 0xFFFF is Open Free Fiasco Firmware Flasher for Maemo devices. It support
 generating and unpacking FIASCO images on local computer. Useful for editing
 Maemo firmware package for future flash. It support via USB flashing any image
 type to Maemo device and also "cold" flashing which means flashing dead
 device with erased bootloader. There is support for booting kernel via USB
 without flashing to NAND and also changing configuration of Maemo device
 (enable/disable R&D mode, changing HW revision strings, ...).
 .
 0xFFFF is alternative tool to proprietary Nokia flasher-3.5 and fiasco-gen.
 0xFFFF generate compatible FIASCO images and also accept FIASCO images
 generated by Nokia fiasco-gen.
 .
 Supported Maemo devices:
 Nokia 770, Nokia N800, Nokia N810, Nokia N810 WiMAX, Nokia N900
XSBC-Maemo-Display-Name: 0xFFFF
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAGXRFWHRTb2Z0
 d2FyZQBBZG9iZSBJbWFnZVJlYWR5ccllPAAACYtJREFUeNrUWkurZUcVXvXY
 59zbtyXpICEiaFrJQFDo6CDOHAi2UQdOFBw4CAqCDhU0DuIPEBtCRupIBxk4
 MBMHgpIMnChE1OAD2uADEkFpUM9z710vv7Wq6ty6u09f0+nb3Tcb6u7Hqb33
 96361qq1al/1vscfp+Ac3fjH6+S9v3owP/iYMfqyMaabz2ax62wwtnPDOPgY
 ok8pxpQoKKW9UhRC8IFI+UQ4ds7HFKLW1mujffDexRi9MXiGMQG34uborbEO
 515pckopZ7RxuN8RyflgtBrxfKeNGlNMY0ppxItGUnowSm3Rr7ezubfdnCwe
 SuMw2EsPPvi9x957+SlrNAXvCCTIWkMKvQP6JEYdorQoG6gkUIpo+SgkStyV
 SQb0RwOolACOQdBIlAaQ7XGtT4q2lGhDDCjRGsZYg8Qa71sR75WSPe5Z411o
 doPfN1rrDs/q8MaVVt5Z5T1dnM++8sEPXHnqXzduxOuv/iVutlsGKeCxJbyE
 jxN2uJc3FfkcJzHviBlG5sq/kUq8D4qvyzWKpQ/fzn94H/Mzub88L0hfJc/w
 OPc8Ijh3is8xUhqIMZr+woULscMwRmjCwoDdY+959xcXiwX9/KVfRAyV0gYD
 xTBVeY2mjJuvAR3+aMrgjPRQKtVzrRSDwE1Kl1uEuBADKCX34g5VzKLk/ihk
 lQBl8CKt3IQA5MMEICttPIY5XDw6glSVspv15tGLRxcu/+rl3/D4q9lsJtjl
 1WyTA7TxBKRYfjZEO2IMTufRosxdVcoCPvEIQTaBrYlLjuWFH0Z0Y433LC3Y
 occ5a3ybz7EvmjdaD9IfvudG57d6G4E12fmse+d6tT76z38XcC6TwcOdEtvj
 EGL7jif/fU3x1yaDmWejNuCpEI4ilZT3AFPAwifgA9gPuGMIFAESfqDUBpw2
 inWuVNY+6z4l7NkX1ApWgI/QlvuD/qDZoWMEeRskaODBlmJ4oB9HGoYxycCy
 1R9OavYtT92nweIRotnn4ZkvBhqfRvc/oM8MUJIQqC00zeemWL/FutRnq8Jp
 uam0BtA1yC5x8xLHS7xa9sREEjsy+ogTg4CiASQGpZVDjBMJcTDEEajEeDSM
 DjxCHm/s5s96mn0W0ekF3PZ2eSR1n0qk3+/U5koXaQU9G6q6nwCXcMgWF/CF
 QAVfQHGESSsmQHTcUiYi0QfH6K8YfF8iGEASnBjagPGgp4SoTdra7tAhEnFc
 ZIdVhxD3h3GI1/afgcV/B/pfsnG4plP8pU7q0s76twTPsbyAL3quwKUJUIBa
 4HiBvrLHNd6DFI9MqpbvAWsANifPR2iGUnA6JDiwRAcLz547FwQThihxpE5/
 Bol3YSS+G0g/iuuPQLxftUHEb9HRngDvmv0O/EQ2FfyqtTg3oBGrcyvgNzje
 8nMYKT8XGANvmGhzGG68DzIKc4fJNAmDHC+Gr1kKf1Q0/0Kk7qOJDl/y+vAn
 mDyfwOj5E1av4MVJG/CnAW8tn7XfWL6A7xvwwO134GmycUye8+y6+9FCG7/V
 kbW+eRJzxcsYlb+q1H0yqQs/852+Ehm2b2QzNpavkmkJTMHv9F4IrCqBBvzY
 gOe5aS94IYDOMw7R0oH/HqRkPhJJfyiS+yl+/j3i2FXr+meQ+7wN/J5MWlKE
 4xFgy/eNbE61fNF7Bc9EBDzA7sDnWRfx3rlTwYu9Met2nNmIvj1m0YeSPXzR
 6fRPIHiii3LrDO49pzyNDSecdtij+XUhsdqneb7GwIvmN9wYPPb8nLHMwCyZ
 WHCdull0xghIHgPBk0l/V3H8tlHzrwd9dN1ZhmA/Hg/0OyD26xTdj2Eplo1T
 rNFW8xm8Bngrx8tCYNGCLwR2Dgvw/RQ8W/6NgBcCmH2ZgJd8RkmESeM3kW+8
 orS9GpX9RNTxFRXG57RzP9Tr9Lra6IcxIg8kg/s4XYXXgHqNSivI6QZAqx34
 VRvjJ5bvS7gdVc6Dbgt8HgEE1JRvyK2kYP55ONDzOsyv+QN3zazia5KbsIV6
 +zn/UPflcKmZiVPJg8i9oF8dv2H/pDqRUXXYKhukxVFi/EQ2bwq8EAB4Sfkl
 rc0kJLNRs2zR8Rm7gKs6nDN4KS7cD8xr/kf6b6mJOJK3ECzb078xV6xvBb5G
 GgbPDssZprxn5Een2wIvBJgxW6CkxabMEqk4aYBrSk7DecjOWVe0TQu1Po44
 kAVxZEFMZ+mYYwKtbJhkBY/mKni2fDoxPd0mAS73mqSspgmZgJYYz+YZdpGG
 HVW3sT6tbxE6V8XyN4Fnh71T8DmMah13TpzTYt0QqOBrmGzj/KbG8X2hskab
 Ap5lw5rnRGbkephLzjsFn30AD2IHypUThJJ9IRTnOmn5mg4XSxfwiwJ20ZCR
 jHKqebZ8BQ/Nx9MmqDdMQAoOPLg+rJRSgXaVEg3T3KZoejVNhat8JrKpSRk7
 rMxObPmzAL8jUPKZpgTMs+wey68ay7fpwLLR/qa1fMlr7gr4EwSK5WNOV2VE
 hgJ6O3HQ3ew6Ab8rRKrm26SMl18APp0l+ErAFZ2rov3YyGczyWv2WX65J5c/
 kVEiIYu3SofvmECxds/1sKQGx/l967DLKfg9hQjLpm9yeV/Ah7sFvh2BPvuv
 LJz4Rj7VYZdTy59SRY37qii6S5tNOaPcFgkxCY5KbMl1ydX3hsry+02yKRnl
 /y1Ezm4EkqzZMAj2Xl0WWLcFaAt+57CTdJjJD/cDfK0HhryEsdvGMiInnHYP
 +Dq79jU1aMBHukebLbPkuoTRVB24AbwsSx7rPYVIXzPKJh1OdA83Wxx4nYNQ
 DqGs7zJhtaFyva+KmoCPdI83duKq91iW0nn9vs0qV00hcqsSMNxry7cFzaaA
 5HqA1/T71KyiVctPqig3qV/vC/hcD2QJLWsWWvKfOgKbAn5qeV+qqPhmqqiz
 deJs8WVd6yyzabU6E7jJ8qUQSfcbfIlCPOuqKiH+gtKu72wby0sJWAqRcwH+
 mECCD+yqMLVbpGoKEUmHzxv4UlIalEZhjVosmKT5i2OtA1rLn2kVdbYE+IOS
 0uyknEp7HfUYVeQlQ65fRTZ3oxA5w2xUeaNpw18tEf99UFHWf/iLSLH8uQVf
 RyBARltrDaaEEPhbbI408jURmh/TeQWf10ZtF9iRu86mAAImSi4WeLklr5ad
 X/BCoOsMf/cdZ11HKJ/4HwdiMHyg0/2cYW8nG+X1IDefzxUI8P9ySP2KITj3
 4PMnpqT4ozZrP3bWxq7rUlmle0tsVv6xgWkg/Bg7IxPr/2K8Nbb/CTAAF12f
 5l7y6xMAAAAASUVORK5CYII=

## 0xffff 0.6.1

=== src/Makefile ===
--- 
+++ 
@@ -31,10 +31,10 @@
 	mv $@.tmp $@
 
 libusb-sniff-32.so: libusb-sniff.c $(DEPENDS)
-	$(CC) $(CFLAGS) $(LDFLAGS) -fPIC -ldl -shared -m32 -o $@ $<
+	$(CC) $(CFLAGS) $(LDFLAGS) -fPIC $< -ldl -shared -m32 -o $@
 
 libusb-sniff-64.so: libusb-sniff.c $(DEPENDS)
-	$(CC) $(CFLAGS) $(LDFLAGS) -fPIC -ldl -shared -m64 -o $@ $<
+	$(CC) $(CFLAGS) $(LDFLAGS) -fPIC $< -ldl -shared -m64 -o $@
 
 %.o: %.c $(DEPENDS)
 	$(CROSS_CC) $(CFLAGS) $(CPPFLAGS) -c -o $@ $<

=== debian/changelog ===
0xffff (0.6.1-3) unstable; urgency=low

  [ Dhole ]
  * Patch build system to allow the build date in the man entry to be
    set externally, and set it to the latest debian/changelog entry
    for reproducibility (Closes: #788747)

  [ Sebastian Reichel ]
  * Update Debian Standards Version to 3.9.6

 -- Sebastian Reichel <sre@debian.org>  Mon, 22 Jun 2015 19:07:08 +0200

0xffff (0.6.1-2) unstable; urgency=medium

  * Upload to unstable

 -- Sebastian Reichel <sre@debian.org>  Wed, 27 May 2015 17:36:35 +0200

0xffff (0.6.1-1) experimental; urgency=medium

  * New upstream release
   - Contains a few security related fixes (memory corruptions & leaks)
   - Support for -t (filter by type) for -e (dump images)
   - reattach kernel driver
   - minor fixes

 -- Sebastian Reichel <sre@debian.org>  Thu, 11 Dec 2014 21:52:53 +0100

=== debian/control ===
Source: 0xffff
Section: misc
Priority: extra
Maintainer: Sebastian Reichel <sre@debian.org>
Standards-Version: 3.9.6
Build-Depends: debhelper (>= 9),
               libusb-dev
Homepage: http://gitorious.org/0xffff/
Vcs-Git: git://anonscm.debian.org/pkg-n900/0xffff.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-n900/0xffff.git;a=summary

Package: 0xffff
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Open Free Fiasco Firmware Flasher
 The ‘Open Free Fiasco Firmware Flasher’ aka 0xFFFF utility implements
 a free userspace handler for the NOLO bootloader and extended features
 for flashing, dumping and getting information for the Nokia Internet
 Tablets. Thus it's a free alternative to Nokia's closed source flashing
 utility called flasher.
 .
 Supported operations currently include, but are not limited to:
  * generating and unpacking FIASCO images on local device
  * editing Maemo firmware packages
  * flashing any kind image type to Maemo devices via USB
  * "cold" flashing for devices with bricked bootloaders
  * direct kernel boot without flashing it to NAND
  * changing configuration of Maemo device (R&D flags, HW revision strings, ...)
 .
 Currently supported are the Nokia 770, N800, N810, N810w and the N900.

=== debian/rules ===
#!/usr/bin/make -f

export BUILD_DATE = $(shell LC_ALL=C date -u --date="`dpkg-parsechangelog -SDate`" +'%b %e %Y')

%:
	dh $@

override_dh_auto_install:
	dh_auto_install -- PREFIX=/usr

=== debian/watch ===
version=3

# This is kind of hacked support to support git tags in gitorious.
# Since gitorious does not differ between branches and tags inside
# of the links branches with version like names will also be found.
# NOTE: 0xFFFF does not yet have such branches

opts=\
downloadurlmangle=s/\/trees\//\/archive-tarball\//g,\
filenamemangle=s/^.*\/(\d+[\d\.]+)$/0xffff-$1.tar.gz/\
 http://gitorious.org/0xffff/0xffff/trees/master /0xffff/0xffff/trees/(\d+[\d\.]+)(-beta\d*)?

opts=\
downloadurlmangle=s/\/trees\//\/archive-tarball\//g,\
filenamemangle=s/^.*\/(\d+[\d\.]+)$/0xffff-$1.tar.gz/,\
uversionmangle=s/-beta(\d+)/~beta$1/ \
 http://gitorious.org/0xffff/0xffff/trees/master /0xffff/0xffff/trees/(\d+[\d\.]+-beta\d*)

## 0xffff 0.7

=== Makefile ===
all clean install uninstall:
	$(MAKE) -C src $@

=== src/Makefile ===
--- 
+++ 
@@ -3,13 +3,15 @@
 PREFIX ?= /usr/local
 INSTALL ?= install
 
+BUILD_DATE ?= $(shell LC_ALL=C date '+%b %e %Y')
+
 CC = gcc
 CROSS_CC = $(CROSS_COMPILE)$(CC)
 HOST_CC = $(HOST_COMPILE)$(CC)
 
-CPPFLAGS += -DVERSION=\"$(VERSION)\" -D_GNU_SOURCE
+CPPFLAGS += -DVERSION=\"$(VERSION)\" -DBUILD_DATE="\"$(BUILD_DATE)\"" -D_POSIX_C_SOURCE=200809L -D_FILE_OFFSET_BITS=64
 CFLAGS += -W -Wall -O2 -pedantic -std=c99
-LIBS += -lusb
+LIBS += -lusb -ldl
 
 DEPENDS = Makefile ../config.mk

=== debian/changelog ===
0xffff (0.7-2) unstable; urgency=medium

  * Update udev rules to support N900 in MkII mode
  * Update udev rules to support Nokia 770 in NOLO mode
  * Recommend mtd-utils on architectures supported by N900
    (required for local flashing)

 -- Sebastian Reichel <sre@debian.org>  Mon, 26 Dec 2016 00:31:24 +0100

0xffff (0.7-1) unstable; urgency=medium

  * New upstream release
   - Basic N9 support
   - misc. fixes

 -- Sebastian Reichel <sre@debian.org>  Sun, 25 Dec 2016 17:54:16 +0100

0xffff (0.6.1+git20161217-1) unstable; urgency=medium

  * New upstream snapshot
   - Revert to libusb 0.1 (libusb 1.0 has a latency bug)
   - misc. fixes

 -- Sebastian Reichel <sre@debian.org>  Wed, 21 Dec 2016 15:22:16 +0100

0xffff (0.6.1+git20160627-1) unstable; urgency=medium

  * New upstream snapshot
   - Using libusb 1.0 (Closes: #810392)
   - Basic N950 support
   - Misc. fixes
  * Remove BUILD_TIME patch (applied upstream)
  * Install zsh completion file to correct location (Closes: #843582)
  * Use new upstream URL for Homepage (Closes: #829009)
  * Switch to compat level 10
  * Update debian/watch to use new upstream @ github
  * Update Debian Standards Version to 3.9.8
  * Use secure VCS urls

 -- Sebastian Reichel <sre@debian.org>  Sun, 27 Nov 2016 22:19:08 +0100

=== debian/control ===
--- 
+++ 
@@ -2,17 +2,18 @@
 Section: misc
 Priority: extra
 Maintainer: Sebastian Reichel <sre@debian.org>
-Standards-Version: 3.9.6
-Build-Depends: debhelper (>= 9),
+Standards-Version: 3.9.8
+Build-Depends: debhelper (>= 10~),
                libusb-dev
-Homepage: http://gitorious.org/0xffff/
-Vcs-Git: git://anonscm.debian.org/pkg-n900/0xffff.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-n900/0xffff.git;a=summary
+Homepage: https://github.com/pali/0xFFFF
+Vcs-Git: https://anonscm.debian.org/cgit/pkg-n900/0xffff.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-n900/0xffff.git
 
 Package: 0xffff
 Architecture: any
 Multi-Arch: foreign
 Depends: ${misc:Depends}, ${shlibs:Depends}
+Recommends: mtd-utils [armel], mtd-utils [armhf]
 Description: Open Free Fiasco Firmware Flasher
  The ‘Open Free Fiasco Firmware Flasher’ aka 0xFFFF utility implements
  a free userspace handler for the NOLO bootloader and extended features
@@ -28,4 +29,4 @@
   * direct kernel boot without flashing it to NAND
   * changing configuration of Maemo device (R&D flags, HW revision strings, ...)
  .
- Currently supported are the Nokia 770, N800, N810, N810w and the N900.
+ Supported are the Nokia 770, N800, N810, N810w, N900, N950 and N9.

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,8 @@
 #!/usr/bin/make -f
+
+DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow
+DPKG_EXPORT_BUILDFLAGS = 1
+include /usr/share/dpkg/buildflags.mk
 
 export BUILD_DATE = $(shell LC_ALL=C date -u --date="`dpkg-parsechangelog -SDate`" +'%b %e %Y')

=== debian/watch ===
version=3

opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/0xFFFF-$1\.tar\.gz/,pgpsigurlmangle=s/$/.asc/ \
  https://github.com/pali/0xFFFF/releases .*/0xffff_(\d\S+)\.orig\.tar\.gz

## 0xffff 0.8

=== src/Makefile ===
--- 
+++ 
@@ -5,9 +5,9 @@
 
 BUILD_DATE ?= $(shell LC_ALL=C date '+%b %e %Y')
 
-CC = gcc
-CROSS_CC = $(CROSS_COMPILE)$(CC)
-HOST_CC = $(HOST_COMPILE)$(CC)
+CC ?= cc
+CROSS_CC ?= $(CROSS_COMPILE)$(CC)
+HOST_CC ?= $(HOST_COMPILE)$(CC)
 
 CPPFLAGS += -DVERSION=\"$(VERSION)\" -DBUILD_DATE="\"$(BUILD_DATE)\"" -D_POSIX_C_SOURCE=200809L -D_FILE_OFFSET_BITS=64
 CFLAGS += -W -Wall -O2 -pedantic -std=c99

=== debian/changelog ===
0xffff (0.8-1) unstable; urgency=medium

  * New upstream version
  * Update debian/watch file
  * Update Debian Standards Version to 4.1.5

 -- Sebastian Reichel <sre@debian.org>  Thu, 19 Jul 2018 20:47:25 +0200

0xffff (0.7-3) unstable; urgency=medium

  * Switch Debian packaging repository to salsa
  * Switch to compat level 11
  * Update Debian Standards Version to 4.1.4
  * Replaced deprecated Priority 'extra' to 'optional'
  * Add metadata appstream file for USB modaliases

 -- Sebastian Reichel <sre@debian.org>  Mon, 04 Jun 2018 12:34:22 +0200

=== debian/watch ===
version=3

opts=pgpsigurlmangle=s/$/.asc/ \
  https://github.com/pali/0xFFFF/releases .*/0x[Ff][Ff][Ff][Ff][-_](\d\S+?)\.(?:orig\.tar\.gz|tar\.gz)

## 0xffff 0.9

=== debian/changelog ===
0xffff (0.9-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Re-export upstream signing key without extra signatures.
  * Set upstream metadata fields: Repository.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Sebastian Reichel ]
  * New upstream release
  * Update Debian Standards Version to 4.5.1
  * Switch to compat level 13
  * Remove upstream signing key, upstream no longer signs releases
  * Add 'Rules-Requires-Root: no'
  * Install documentation files directly into /usr/share/doc/0xffff
    without the extra subdirectory

 -- Sebastian Reichel <sre@debian.org>  Tue, 05 Jan 2021 21:40:00 +0100

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: 0xffff
 Section: misc
-Priority: extra
+Priority: optional
 Maintainer: Sebastian Reichel <sre@debian.org>
-Standards-Version: 3.9.8
-Build-Depends: debhelper (>= 10~),
+Standards-Version: 4.5.1
+Rules-Requires-Root: no
+Build-Depends: debhelper-compat (= 13),
                libusb-dev
 Homepage: https://github.com/pali/0xFFFF
-Vcs-Git: https://anonscm.debian.org/cgit/pkg-n900/0xffff.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-n900/0xffff.git
+Vcs-Git: https://salsa.debian.org/debian/0xffff.git
+Vcs-Browser: https://salsa.debian.org/debian/0xffff
 
 Package: 0xffff
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
include /usr/share/dpkg/pkg-info.mk

export BUILD_DATE = $(shell LC_ALL=C date -u --date="@${SOURCE_DATE_EPOCH}" +'%b %e %Y')

%:
	dh $@

override_dh_auto_install:
	dh_auto_install -- PREFIX=/usr

=== debian/watch ===
version=4

https://github.com/pali/0xFFFF/releases .*/0x[Ff][Ff][Ff][Ff][-_](\d\S+?)\.(?:orig\.tar\.gz|tar\.gz)
